petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetFill

Indicate the amount of fill you expect in the factored matrix, fill = number nonzeros in factor/number nonzeros in original matrix.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetFill(PC pc,PetscReal fill)

Not Collective, each process can expect a different amount of fill Many br

### Input Parameters

| pc | - the preconditioner context Many br
| fill | - amount of expected fill Many br

### Options Database Key

-pc_factor_fill <fill> -Sets fill amount Many br

Many br

### Note

For sparse matrix factorizations it is difficult to predict how much Many brfill to expect. By running with the option -info PETSc will print the Many bractual amount of fill used; allowing you to set the value accurately for Many brfuture runs. Default PETSc uses a value of 5.0 Many br

This parameter has NOTHING to do with the levels-of-fill of ILU(). That is set with PCFactorSetLevels() or -pc_factor_levels. Many br

### Keywords

PC, set, factorization, direct, fill

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages